For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve a role

How to fetch a specific role via API

To fetch a single role, send a GET request to the /api/roles/:id endpoint, where id is the ID of the resource that you want to retrieve.

Request

GET https://provisioning.commercelayer.io/api/roles/:id

Example

The following request fetches the role identified by the id "xYZkjABcde":

curl -g -X GET \
  'https://provisioning.commercelayer.io/api/roles/xYZkjABcde' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer {{your_access_token}}'

On success, the API responds with a 200 OK status code, returning a single resource object:

{
  "data": {
    "id": "xYZkjABcde",
    "type": "roles",
    "links": {
      "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde"
    },
    "attributes": {
      "name": "Custom role",
      "kind": "custom",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "organization": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/relationships/organization",
          "related": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/organization"
        }
      },
      "permissions": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/relationships/permissions",
          "related": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/permissions"
        }
      },
      "memberships": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/relationships/memberships",
          "related": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/memberships"
        }
      },
      "api_credentials": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/relationships/api_credentials",
          "related": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/api_credentials"
        }
      },
      "versions": {
        "links": {
          "self": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/relationships/versions",
          "related": "https://provisioning.commercelayer.io/api/roles/xYZkjABcde/versions"
        }
      }
    }
  }
}

Last updated